## org.apache.poi.hdf.event
Interface HDFParsingListener

public interface HDFParsingListener

Method Summary
`void` `characterRun(CharacterProperties chp, java.lang.String text, int start, int end)`
`void` `document(DocumentProperties dop)`
`void` `footer(int sectionIndex, int type)`
`void` `header(int sectionIndex, int type)`
`void` `listEntry(java.lang.String bulletText, CharacterProperties bulletProperties, ParagraphProperties pap, int start, int end)`
`void` `paragraph(ParagraphProperties pap, int start, int end)`
`void` `paragraphInTableRow(ParagraphProperties pap, int start, int end)`
`void` `section(SectionProperties sep, int start, int end)`
`void` `tableRowEnd(TableProperties tap, int start, int end)`

Method Detail

### document

    public void document(DocumentProperties dop)

### section

    public void section(SectionProperties sep,
                        int start,
                        int end)

### paragraph

    public void paragraph(ParagraphProperties pap,
                          int start,
                          int end)

### listEntry

    public void listEntry(java.lang.String bulletText,
                          CharacterProperties bulletProperties,
                          ParagraphProperties pap,
                          int start,
                          int end)

### paragraphInTableRow

    public void paragraphInTableRow(ParagraphProperties pap,
                                    int start,
                                    int end)

### characterRun

    public void characterRun(CharacterProperties chp,
                             java.lang.String text,
                             int start,
                             int end)

### tableRowEnd

    public void tableRowEnd(TableProperties tap,
                            int start,
                            int end)

### header

    public void header(int sectionIndex,
                       int type)

### footer

    public void footer(int sectionIndex,
                       int type)

Copyright © 2003 Apache Software Foundation.